import 'package:pshared/data/dto/wallet/chain_asset.dart';
import 'package:pshared/data/mapper/payment/enums.dart';
import 'package:pshared/models/wallet/chain_asset.dart';


extension ChainAssetDTOMapper on ChainAssetDTO {
  ChainAsset toDomain() => ChainAsset(
    chain: chainNetworkFromValue(chain),
    tokenSymbol: tokenSymbol,
  );
}

extension ChainAssetMapper on ChainAsset {
  ChainAssetDTO toDTO() => ChainAssetDTO(
    chain: chainNetworkToValue(chain),
    tokenSymbol: tokenSymbol,
  );
}
